
Backlog Parapheur - Régression #22934

Erreur "Out of Perimeter" même si le privilège de groupe  "Accéder à tous les documents..." est actif

24/11/2022 16:56 - Charles BATIONO

Statut: R&D - Terminé Début: 24/11/2022

Priorité: 1-Majeur Echéance: 28/02/2023

Assigné à: Nicolas LE BOZEC   

Catégorie:    

Version cible: 21.03 TMA5   

Tags Parapheur:    

Description

Depuis la nouvelle version :

J'ai un groupe utilisateur qui a les droits "Accéder à tous les documents et gérer les circuits" et "Initier un nouveau circuit de visa /

signature" 

Quand les membres de ce groupe vont dans la loupe et choisisse un dossier "En cours" (pas de pb sur dossier terminé),  s'il clique

sur le nom du dossier au lieu d'avoir la visionneuse du doc , ils  ont le message d'erreur "message "Out of perimeter"

Si j'ajoute à ce groupe les droits "Administrer les utilisateurs" le problème disparait.

Ce pb est une régression, je n'avait pas ce type d'erreur par le passé avec juste les droits "Accéder à tous les documents et gérer les

circuits" et "Initier un nouveau circuit de visa / signature" 

Demandes liées:

Lié à Backlog Parapheur - Anomalie #23333: Impossible de visualiser le circui... R&D - Terminé 30/12/2022 28/02/2023

Historique

#2 - 24/11/2022 17:05 - Charles BATIONO

- Fichier Peek 24-11-2022 17-04.gif ajouté

#3 - 24/11/2022 17:09 - Charles BATIONO

- Fichier Capture d’écran du 2022-11-24 17-07-13.png ajouté

Lorsque je commente les ligne suivantes (Voir PJ) du ficheir UserController.php, je n'ai plus le message d'erreur.

if (!empty($groupsIds)) {

            $groups = GroupModel::get(['select' => ['label', 'id'], 'where' => ['id in (?)'], 'data' => [$grou

psIds]]);

            $user['groups'] = $groups;

       //} elseif (!$actuallyAlone) {

       //     return $response->withStatus(403)->withJson(['errors' => 'User out of perimeter']);

        }

 

Par ailleurs après vérification, l'anomalie est liée à cette demande: #17436 
https://forge.maarch.org/issues/17436


#5 - 24/11/2022 17:46 - Emmanuel DILLARD

- Tracker changé de Anomalie à Régression

- Sujet changé de Régression : Impossible de voir les docs en cours pour certains groupes à Impossible de voir les docs en cours pour certains

groupes

- Echéance mis à 28/11/2022

- Statut changé de A qualifier à R&D - A étudier

#6 - 25/11/2022 10:48 - Emmanuel DILLARD

- Sujet changé de Impossible de voir les docs en cours pour certains groupes à Erreur "Out of Perimeter" même si le privilège de groupe  "Accéder à

tous les documents..." est actif

- Statut changé de R&D - A étudier à R&D - A planifier

#7 - 12/12/2022 14:32 - Emmanuel DILLARD

- Echéance 28/11/2022 supprimé

#8 - 02/01/2023 10:09 - Emmanuel DILLARD

- Lié à Anomalie #23333: Impossible de visualiser le circuit si l'un des utilisateurs du circuit n'est pas dans mon périmètre d'administration ajouté

#9 - 07/02/2023 15:59 - Emmanuel DILLARD

- Statut changé de R&D - A planifier à R&D - En cours

#10 - 07/02/2023 16:00 - Emmanuel DILLARD

- Echéance mis à 28/02/2023

#11 - 07/02/2023 16:01 - Emmanuel DILLARD

- Assigné à Emmanuel DILLARD supprimé

#12 - 14/02/2023 11:42 - Nicolas LE BOZEC

- Assigné à mis à Nicolas LE BOZEC

#13 - 17/02/2023 16:15 - GIT LAB

Commit ajouté sur la branche fix/22934/21.03_TMA5 de MaarchParapheur

FIX #22934 TIME 1:00 Added check if user has the privilege to manage groups

 https://labs.maarch.org/maarch/MaarchParapheur/commit/127d9ba6e8bd739b14de33ce6f6285e977d31e85

#14 - 17/02/2023 17:02 - GIT LAB

Commit ajouté sur la branche fix/22934/21.03_TMA5 de MaarchParapheur

FIX #22934 TIME 0:30 Change the elseif check to if in order to access it when the user privilege is active

 https://labs.maarch.org/maarch/MaarchParapheur/commit/031afee13b03ccc1715ad1726f88f48124e2975c

#15 - 20/02/2023 15:45 - Nicolas LE BOZEC

- Statut changé de R&D - En cours à R&D - En test

#16 - 23/02/2023 11:19 - GIT LAB

Commit ajouté sur la branche fix/22934/21.03_TMA5 de MaarchParapheur

FIX #22934 TIME 0:40 Changed to be able to see the groups of users who are in my scope in the user admin even if I don't have the right to

administer groups

 https://labs.maarch.org/maarch/MaarchParapheur/commit/aed45ff92b285d96707f9b906da8584a35d29b43
#17 - 27/02/2023 11:00 - GIT LAB

[CREATION] MR sur 2301_releases (fix/22934/develop) par Hamza HRAMCHI hamza.hramchi@xelians.fr

https://labs.maarch.org/maarch/MaarchParapheur/commit/5a4ced2006b25c67bf5e508840aeddb9c2ecf418

#18 - 01/03/2023 14:52 - Hamza HRAMCHI

- Statut changé de R&D - En test à R&D - Terminé

#19 - 06/03/2023 18:02 - GIT LAB

Commit ajouté sur la branche fix/22934/21.03 de MaarchParapheur

FIX #22934 0:10 Correction of out of perimeter

 https://labs.maarch.org/maarch/MaarchParapheur/commit/c5ac4691384edf5f77d11794f1eccc3b39b4eaff

Fichiers

Peek 24-11-2022 17-04.gif 5,59 Mo 24/11/2022 Charles BATIONO

Capture d’écran du 2022-11-24 17-07-13.png 34,6 ko 24/11/2022 Charles BATIONO
